### Method

# GnomeAutoar Extractor set_delete_after_extraction

#### Declaration [src]

    void
    autoar_extractor_set_delete_after_extraction (
      AutoarExtractor* self,
      gboolean delete_after_extraction
    )

#### Description [src]

By default `AutoarExtractor:delete-after-extraction` is set to `FALSE` so the source archive will not be automatically deleted if extraction succeeds.

Sets property | `GnomeAutoar.Extractor:delete-after-extraction`

#### Parameters

`delete_after_extraction`

  Type: `gboolean`

  `TRUE` if the source archive should be deleted after a successful extraction.